<%= form_with(model: [community_survey, house, family_folder, person, home_visit], local: true, class: "form-container") do |form| %>
  <div class="form-content">
    <% if home_visit.errors.any? %>
      <div id="error_explanation" class="ui error message icon">
        <i class="close icon"></i>
        <i class="times circle icon"></i>
        <div class="content">
          <div class="header"><%= pluralize(home_visit.errors.count, "error") %> prohibited this home_visit from being saved:</div>
          <ul>
            <% home_visit.errors.full_messages.each do |message| %>
              <li><%= message %></li>
            <% end %>
          </ul>
        </div>
      </div>
    <% end %>
    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label"> 
          <%= form.label :hvid, t('home_visit.hvid_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :hvid, disabled: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :surveyor_time, t('home_visit.surveyor_time_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.number_field :surveyor_time, max: 99999  %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :datesurvey, t('home_visit.datesurvey_label'), required: true %>
        </div>
        <div class="form-group__input ui input" id="datesurvey">
          <%= form.text_field :datesurvey, value: home_visit.datesurvey.to_date.strftime('%m-%d-%Y'), autocomplete: 'off', required: true %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :surveyor_fullname, t('home_visit.surveyor_fullname_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :surveyor_fullname, required: true %>
        </div>
      </div>
    </div>
    
    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :gtype, t('home_visit.gtype_label') %>
        </div>
        <% gtype = HomeVisit.g_types.map { |k, v| [ t("home_visit.#{k}_label"), v ] } %>
        <div class="form-group__input">
          <%= form.select(:gtype, options_for_select(gtype, home_visit.gtype),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown'})%>
        </div>
      </div>
    </div>

    <div class="form-title"><%= t('home_visit.physical_examination_label') %></div>
    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :btemp, t('home_visit.btemp_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('degree_celsius_label') %>">
          <%= form.number_field :btemp, min: 0,step: :any, max: 99999  %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :pr, t('home_visit.pr_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('per_minute_label') %>">
          <%= form.number_field :pr, min: 0, max: 99999  %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :rr, t('home_visit.rr_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('per_minute_label') %>">
          <%= form.number_field :rr, min: 0, max: 99999  %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :weight, t('home_visit.weight_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('kilogram_label') %>">
          <%= form.number_field :weight, min: 0 ,step: :any, max: 99999  %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :height, t('home_visit.height_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('centimeter_label') %>">
          <%= form.number_field :height, min: 0 ,step: :any, max: 99999  %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :waist_cm, t('home_visit.waist_cm_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('centimeter_label') %>">
          <%= form.number_field :waist_cm, min: 0, max: 99999  %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :bmi, t('home_visit.bmi_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('kilogram_per_meter_label') %>">
          <%= form.number_field :bmi, min: 0,step: :any, readonly: true, max: 99999  %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :hip_cm, t('home_visit.hip_cm_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('centimeter_label') %>">
          <%= form.number_field :hip_cm, min: 0, max: 99999  %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --inline">
        <div class="form-group__label">
          <%= form.label :dtx, t('home_visit.dtx_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('dtx_unit_label') %>">
          <%= form.number_field :dtx, min: 0, step: :any, max: 99999  %>
        </div>
      </div>
      <div class="form-group --inline">
        <div class="form-group__label">
        <%= form.label :sbp, t('home_visit.sbp_dbp_label') %>
        </div>
        <div class="form-group__input-group --unit">
          <div class="form-group__input ui input">
            <%= form.number_field :sbp, min: 0, max: 99999  %>
          </div>
          <div class="form-group__unit">
            <span>/</span>
          </div>
          <div class="form-group__input ui input unit" data-label="<%= t('sbp_dbp_label') %>">
            <%= form.number_field :dbp, min: 0, max: 99999  %>
          </div>
        </div>
      </div>
    </div>

    <div class="form-title required">
      <%= t('home_visit.nursing_activity_label') %>
      <span class="form-title --warning"><%= t('select_at_least_one_label') %></span>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :healthscr, t('home_visit.healthscr_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :healthscr, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :healthscr, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :mentalscn, t('home_visit.mentalscn_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :mentalscn, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :mentalscn, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :healthadvice, t('home_visit.healthadvice_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :healthadvice, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :healthadvice, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :develope, t('home_visit.develope_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :develope, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :develope, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :demonbodychk, t('home_visit.demonbodychk_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :demonbodychk, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :demonbodychk, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :demonhealthpro, t('home_visit.demonhealthpro_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :demonhealthpro, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :demonhealthpro, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :behaviormodifi, t('home_visit.behaviormodifi_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :behaviormodifi, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :behaviormodifi, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :bodychk, t('home_visit.bodychk_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :bodychk, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :bodychk, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :wiping, t('home_visit.wiping_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :wiping, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :wiping, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :eyechek, t('home_visit.eyechek_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :eyechek, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :eyechek, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :drugplan, t('home_visit.drugplan_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :drugplan, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :drugplan, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :oralhyg, t('home_visit.oralhyg_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :oralhyg, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :oralhyg, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :uterus, t('home_visit.uterus_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :uterus, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :uterus, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :breastscr, t('home_visit.breastscr_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :breastscr, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :breastscr, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>
    
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :firstaid, t('home_visit.firstaid_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :firstaid, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :firstaid, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :blood, t('home_visit.blood_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :blood, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :blood, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>
    
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :inject, t('home_visit.inject_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :inject, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :inject, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :specimen, t('home_visit.specimen_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :specimen, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :specimen, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>
    
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :wound, t('home_visit.wound_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :wound, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :wound, '2' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

  </div>
  <div class="form-action">
    <%= link_to t('cancel_label'),  community_survey_house_family_folder_person_home_visits_path, class: "ui button" %>
    <%= form.submit t('save_label'), class: "ui button --submit" %>
  </div>
<% end %>

<% content_for :additional_javascripts do %>
  <%= javascript_pack_tag 'form/home_visit' %>
<% end %>
